import Vue from "vue";
import elementUI, { Form } from "element-ui";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "./styles/index.scss";
import request from "./utils/request";
import { setTitles } from "./utils/index";
import message from "./utils/message";
Vue.use(elementUI);
Vue.use(request);
Vue.use(message);
setTitles(router);
Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");
