module.exports = {
  publicPath: process.env.VUE_APP_publicPath,
  configureWebpack: {
    devtool: "source-map"
  },
  chainWebpack: config => {
    config.resolve.alias.set("@assets", "@/assets");
  },
  devServer: {
    open: true,
    proxy: {
      "/oneportal": {
        target: process.env.VUE_APP_Target
        // changeOrigin: true,
      }
    }
  }
};
